Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Interface TraceListenerEx

All Known Subinterfaces:
  TraceListenerEx2, TraceListenerEx3

public interface TraceListenerEx
extends TraceListener

Extends TraceListener but adds a SelectEnd event.

Usage:
  **For advanced use only**

Method Summary
`void` | `selectEnd(EndSelectionEvent ev)` Method that is called after an xsl:apply-templates or xsl:for-each selection occurs.

Methods inherited from interface org.apache.xalan.trace.TraceListener
`generated, selected, trace`

Method Detail

### selectEnd

    public void selectEnd(EndSelectionEvent ev)
                   throws TransformerException

  Method that is called after an xsl:apply-templates or xsl:for-each selection occurs.
  Parameters:
    `ev` - the generate event.
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.